- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.ConnectorValidRemoteAgentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#body.aspect_1)
- [ConnectorType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#ConnectorType)
- [RemoteAgentConnectorAvailability](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#RemoteAgentConnectorAvailability)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#RemoteAgentConnectorAvailability.SCHEMA_REPRESENTATION)
- [AgentAvailabilityConnectorState](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#AgentAvailabilityConnectorState)

**Full name**: projects.locations.instances.remoteAgents.connectorValidRemoteAgents

Lists all RemoteAgents that are valid and compatible with a specific connector. Use this method to identify which agents have the necessary connectivity, configuration, and version to support a particular connector.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/remoteAgents:connectorValidRemoteAgents`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `environment` | `string` Required. The environment of the connector. |
| `integration` | `string` Required. The integration of the connector. |
| `type` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#ConnectorType`)`` Required. The connector type of the connector. |

### Request body

The request body must be empty.

### Response body

Response message for the remoteAgents.connectorValidRemoteAgents method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "remoteAgentConnectorAvailabilities": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#RemoteAgentConnectorAvailability`) } ] } ``` |

| Fields ||
|---|---|
| `remoteAgentConnectorAvailabilities[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#RemoteAgentConnectorAvailability`)`` Output only. List of RemoteAgentConnectorAvailability |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.remoteAgents.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ConnectorType

This indicates whether the user requests the available remote agents for a connector of type Template (IDE page) or Instance (Ingestion page).

| Enums ||
|---|---|
| `CONNECTOR_TYPE_UNSPECIFIED` | Connector type is unspecified. |
| `TEMPLATE` | This type of connector refers to the IDE page on which a new connector template item is configured. |
| `INSTANCE` | This type of connector refers to the ingestion page on which a new connector instance is configured. |

## RemoteAgentConnectorAvailability

Information about remote agent - Chronicle SOAR remote agent with connector availability state.

| JSON representation |
|---|
| ``` { "name": string, "displayName": string, "identifier": string, "environments": string, "agentState": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents#AgentState`), "loggingLevel": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents#RemoteAgentLogLevel`), "installerLink": string, "primaryRemoteAgentIdentifier": string, "certificate": string, "remoteAgentAvailabilityConnectorState": enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#AgentAvailabilityConnectorState`) } ``` |

| Fields ||
|---|---|
| `name` | `string` Output only. The name of the remote agent to delete. Format: projects/{project}/locations/{location}/instances/{instance}/remoteAgents/{remoteAgent} |
| `displayName` | `string` Output only. The display name of the remote agent. |
| `identifier` | `string` Output only. Unique GUID identifier of the remote agent. |
| `environments` | `string` Output only. List of remote agent logical environments in the platform. |
| `agentState` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents#AgentState`)`` Output only. Remote agent current state - this refers to the general state of the remote agent. |
| `loggingLevel` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents#RemoteAgentLogLevel`)`` Output only. Current logging level in the remote agent. |
| `installerLink` | `string` Output only. Link to download the remote agent's installer. |
| `primaryRemoteAgentIdentifier` | `string` Output only. If a remote agent has a primary remote agent identifier different from null, it means that it acts as a backup remote agent in case something happens to the primary remote agent. Unique GUID identifier of the remote agent |
| `certificate` | `string` Output only. The certificate of the remote agent. |
| `remoteAgentAvailabilityConnectorState` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.remoteAgents/connectorValidRemoteAgents#AgentAvailabilityConnectorState`)`` Output only. Indicates if a remote agent is available for use with the connector. |

## AgentAvailabilityConnectorState

Remote agent connector availability state.

| Enums ||
|---|---|
| `AGENT_AVAILABILITY_CONNECTOR_STATE_UNSPECIFIED` | Remote agent connector availability state is unspecified. |
| `AVAILABLE` | Remote agent connector availability state is available for the connector. |
| `MISCONFIGURATION_ERROR` | Remote agent connector availability state is misconfigured - integration is not installed on the remote agent . |
| `CONNECTION_ERROR` | Remote agent connector availability state is connection error. |
| `NON_AVAILABLE_FOR_IDE` | Integration version is not supported for this remote agent. |